From 83f6df065335e92aea3ccfc1c65246ecfae97fc1 Mon Sep 17 00:00:00 2001
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date: Thu, 2 Jan 2020 16:37:05 +0100
Subject: [PATCH 3/3] Add --close-disconnect cmdline option to X2Go Client
 startup parameters when in mini-desktop mode. See discussion in Debian bug
 #947785 (msg#17).

---
# debian/changelog                                      | 3 +++
 management/share/etc/x2gothinclient-minidesktop_start | 1 +
 2 files changed, 4 insertions(+)

#diff --git a/debian/changelog b/debian/changelog
#index 6d7ec88..e376482 100644
#--- a/debian/changelog
#+++ b/debian/changelog
#@@ -8,6 +8,9 @@ x2gothinclient (1.5.0.2-0x2go1) UNRELEASED; urgency=medium
#     - Add --close-disconnect cmdline option to X2Go Client startup
#       parameters when in display-manager mode. Thanks to Wolfgang
#       Schweer for proposing this. (See Debian bug #947785).
#+    - Add --close-disconnect cmdline option to X2Go Client startup
#+      parameters when in mini-desktop mode. See discussion in
#+      Debian bug #947785 (msg#17).
#     - management/share/etc/x2gothinclient-displaymanager_start: Fix filename
#       given to --background cmdline option. Spotted by Wolfgang Schweer
#       (see Debian bug #947618).
diff --git a/management/share/etc/x2gothinclient-minidesktop_start b/management/share/etc/x2gothinclient-minidesktop_start
index 9ee118d..6165817 100755
--- a/management/share/etc/x2gothinclient-minidesktop_start
+++ b/management/share/etc/x2gothinclient-minidesktop_start
@@ -31,6 +31,7 @@
                          --geometry=fullscreen \
                          --read-exports-from=~/export \
                          --no-session-edit \
+                         --close-disconnect \
                          --session=X2Go.Example \
                          --add-to-known-hosts
 
-- 
2.20.1

